Index: ChangeLog
===================================================================
RCS file: /home/cvs/software/thailatex/ChangeLog,v
retrieving revision 1.123
diff -u -r1.123 ChangeLog
--- ChangeLog	22 Jan 2008 01:18:22 -0000	1.123
+++ ChangeLog	22 Jan 2008 11:39:12 -0000
@@ -1,5 +1,44 @@
 2008-01-22  Theppitak Karoonboonyanan <thep@linux.thai.net>
 
+	* configure.in: Check for sed with AC_PROG_SED instead of manual
+	AC_CHECK_PROGS. Also check for awk, as required by the added code.
+
+	* fonts/Makefile.am, fonts/lthuni.enc, +fonts/thailigs.enc,
+	+fonts/thai-dummy.afm: Support the case of "PO PLA + SARA UU + MAI EK",
+	with the afm2tfm trick proposed by Werner Lemberg in "Thai fonts",
+	TUGboat Volume 21 (2000), No. 2:
+	  - Split lthuni.enc into lthuni.enc + thailigs.enc, with LIGKERN
+	    rules moved to thailigs.enc
+	  - Add .left variants for below-base signs at character 0x01, 0x02,
+	    0x03, with *.left names in thailigs.enc, and with real glyph names
+	    without .left extensions in lthuni.enc.
+	  - Add separate LIGKERN rules for below-base signs when placed under
+	    base characters with long-shooting ascender.
+	  - Do the trick by generating thailigs.vpl from thailigs.enc +
+	    thai-dummy.afm and merge the resulting LIGTABLE into ligature-less
+	    VPL's generated from fonts' AFM + lthuni.enc.
+	  - The LIGTABLE in thailigs.vpl will process the below-base marks
+	    under those long-descender chars by placing glyphs 0x01, 0x02,
+	    0x03, as referred to by *.left names in LIGKERN rules, for them.
+	    But the character map part in fonts' VPL will map these glyphs to
+	    usual names for the marks, due to what described in lthuni.enc.
+	  - As a result, the below-base marks have two variants for LIGKERN,
+	    which both referring to the same glyphs.
+	  - See the TUGboat article for more details.
+	    http://www.tug.org/TUGboat/Articles/tb21-2/tb67lemb.pdf
+
+	* fonts/lthuni.enc, fonts/thailigs.enc: Adjust the LTHEncoding:
+	  - Remove compwordmark (0x17).
+	  - Rename perthousandzero to perthousand (0x18).
+	  - Rename visualspace to space (0x20).
+	  - Remove duplicated hyphen at 0x7f.
+	  - Remove duplicated nonbreakingspace at 0xdb.
+	  - Rename ThaiWordBreak to zerowidthspace at 0xdc.
+
+	* doc/teststd.tex: Add test samples for "PO PLA + SARA UU + MAI EK".
+
+2008-01-22  Theppitak Karoonboonyanan <thep@linux.thai.net>
+
 	* fonts/kinnari.{afm,pfb}, fonts/kinnari_o.{afm,pfb}: Get new version
 	from thaifonts-scalable CVS snapshot, correcting SARA AM width.
 
Index: configure.in
===================================================================
RCS file: /home/cvs/software/thailatex/configure.in,v
retrieving revision 1.39
diff -u -r1.39 configure.in
--- configure.in	8 Nov 2006 04:26:23 -0000	1.39
+++ configure.in	22 Jan 2008 11:39:12 -0000
@@ -3,12 +3,10 @@
 
 AC_PROG_INSTALL
 AC_PROG_LN_S
+AC_PROG_AWK
+AC_PROG_SED
 AC_CHECK_PROGS(RMDIR,rmdir,no)
 
-AC_CHECK_PROGS(SED,sed,no)
-if test "x$SED" = "xno" ; then
-  AC_MSG_ERROR([You need sed (from sed distribution)])
-fi
 AC_CHECK_PROGS(LATEX,latex,no)
 if test "x$LATEX" = "xno" ; then
   AC_MSG_ERROR([You need latex (from teTeX distribution)])
Index: doc/teststd.tex
===================================================================
RCS file: /home/cvs/software/thailatex/doc/teststd.tex,v
retrieving revision 1.10
diff -u -r1.10 teststd.tex
--- doc/teststd.tex	21 Jan 2008 10:54:35 -0000	1.10
+++ doc/teststd.tex	22 Jan 2008 11:39:12 -0000
@@ -101,13 +101,13 @@
 \subsection{การจัดระดับตัวอักษรและตัวอักษรพิเศษ}
 \noindent
 \usefont{LTH}{kinnari}{m}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{kinnari}{b}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{kinnari}{m}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{kinnari}{b}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \vfil
 
 
@@ -177,13 +177,13 @@
 \subsection{การจัดระดับตัวอักษรและตัวอักษรพิเศษ}
 \noindent
 \usefont{LTH}{garuda}{m}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{garuda}{b}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{garuda}{m}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{garuda}{b}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \vfil
 
 \section{\usefont{LTH}{norasi}{b}{n}Norasi -- นรสีห์\protect\footnote{จากโครงการฟอนต์แห่งชาติ (National Font Project)}}
@@ -260,13 +260,13 @@
 \subsection{การจัดระดับตัวอักษรและตัวอักษรพิเศษ}
 \noindent
 \usefont{LTH}{norasi}{m}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{norasi}{b}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{norasi}{m}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{norasi}{b}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \vfil
 
 
@@ -336,13 +336,13 @@
 \subsection{การจัดระดับตัวอักษรและตัวอักษรพิเศษ}
 \noindent
 \usefont{LTH}{ttype}{m}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{ttype}{b}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{ttype}{m}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{ttype}{b}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 
 
 \section{\usefont{LTH}{ttypist}{b}{n}Tlwg Typist\protect\footnote{โดย Thai Linux Working Group (TLWG)}}
@@ -411,13 +411,13 @@
 \subsection{การจัดระดับตัวอักษรและตัวอักษรพิเศษ}
 \noindent
 \usefont{LTH}{ttypist}{m}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{ttypist}{b}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{ttypist}{m}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{ttypist}{b}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 
 
 \section{\usefont{LTH}{purisa}{m}{n}Purisa -- ภูริสา\protect\footnote{โดย Thai Linux Working Group (TLWG)}}
@@ -442,7 +442,7 @@
 \subsection{การจัดระดับตัวอักษรและตัวอักษรพิเศษ}
 \noindent
 \usefont{LTH}{purisa}{m}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \vfil
 
 
@@ -511,13 +511,13 @@
 \subsection{การจัดระดับตัวอักษรและตัวอักษรพิเศษ}
 \noindent
 \usefont{LTH}{loma}{m}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{loma}{b}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{loma}{m}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{loma}{b}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \vfil
 
 
@@ -586,13 +586,13 @@
 \subsection{การจัดระดับตัวอักษรและตัวอักษรพิเศษ}
 \noindent
 \usefont{LTH}{waree}{m}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{waree}{b}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{waree}{m}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{waree}{b}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \vfil
 
 
@@ -661,13 +661,13 @@
 \subsection{การจัดระดับตัวอักษรและตัวอักษรพิเศษ}
 \noindent
 \usefont{LTH}{umpush}{m}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{umpush}{b}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{umpush}{m}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{umpush}{b}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \vfil
 
 
@@ -736,13 +736,13 @@
 \subsection{การจัดระดับตัวอักษรและตัวอักษรพิเศษ}
 \noindent
 \usefont{LTH}{sawasdee}{m}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{sawasdee}{b}{n}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{sawasdee}{m}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \usefont{LTH}{sawasdee}{b}{it}
-ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
+ที่ ท่า ทิ้ง ท้า กิ๊ง ก๊ง ตี๋ ต๋า บ่น ป่น, บ้น ป้น, บ๊น ป๊น, บ๋น ป๋น บิน ปิน บีน ปีน บิ่น ปิ่น บัน ปั่น บั่น ก็ ป็ ปู่ ญ ญุ ญู ญฺ ฐ ฐุ ฐู ฐฺ กุ ฎุ ฎู ฎฺ ฏุ ฏู ฏฺ บำ บ่ำ ปำ ป่ำ -\textyamakkan{} \textfongmun{} \textangkhankhu{} \textkhomut{} - -- --- `` '' ff fi tt ti AV\\
 \vfil
 
 
Index: fonts/Makefile.am
===================================================================
RCS file: /home/cvs/software/thailatex/fonts/Makefile.am,v
retrieving revision 1.29
diff -u -r1.29 Makefile.am
--- fonts/Makefile.am	21 Jan 2008 09:59:30 -0000	1.29
+++ fonts/Makefile.am	22 Jan 2008 11:39:12 -0000
@@ -78,13 +78,24 @@
 
 EXTRA_DIST = \
 	lthuni.enc \
+	thailigs.enc \
+	thai-dummy.afm \
 	$(PFBFILES) \
 	$(AFMFILES)
 
 # Local Rules
 
+thailigs.vpl: thailigs.enc thai-dummy.afm
+	if [ ! -f thai-dummy.afm ]; then \
+	  $(LN_S) $(srcdir)/thai-dummy.afm thai-dummy.afm; \
+	fi
+	if [ ! -f thailigs.enc ]; then \
+	  $(LN_S) $(srcdir)/thailigs.enc thailigs.enc; \
+	fi
+	$(AFM2TFM) thai-dummy.afm -v $@ -T thailigs.enc thailigs.tfm
+
 r%.tfm: %.afm lthuni.enc
-%.vpl: %.afm lthuni.enc
+%.vpl: %.afm lthuni.enc thailigs.vpl
 	if [ ! -f $*.afm ]; then \
 	  $(LN_S) $(srcdir)/$*.afm $*.afm; \
 	fi
@@ -93,6 +104,11 @@
 	fi
 	$(AFM2TFM) $*.afm -v $*.vpl -T lthuni.enc r$*.tfm \
 	| $(SED) "s/$$/ <$*.pfb/" >> thai.map
+	TMPFILE=`mktemp /tmp/tltx.XXXXXXXXX` && \
+	$(AWK) "BEGIN {show=1} /LIGTABLE/ {show=0} {if(show) print}" $*.vpl > $$TMPFILE && \
+	$(AWK) "BEGIN {show=0} /LIGTABLE/ {show=1} /CHARACTER/ {show=0} {if(show) print}" thailigs.vpl >> $$TMPFILE && \
+	$(AWK) "BEGIN {show=0} /CHARACTER/ {show=1} {if(show) print}" $*.vpl >> $$TMPFILE && \
+	mv $$TMPFILE $*.vpl
 
 %.tfm: %.vpl
 	$(VPTOVF) $*
Index: fonts/lthuni.enc
===================================================================
RCS file: /home/cvs/software/thailatex/fonts/lthuni.enc,v
retrieving revision 1.5
diff -u -r1.5 lthuni.enc
--- fonts/lthuni.enc	22 Sep 2003 02:13:10 -0000	1.5
+++ fonts/lthuni.enc	22 Jan 2008 11:39:12 -0000
@@ -6,184 +6,20 @@
 %
 % This is LaTeX LTH (Locale Thai) encoding for unicode encoded fonts
 %
-%ligature for making LEFT vowels, tone marks and Nikhahit
-%PoPla left vowel
-%LIGKERN uni0E1B uni0E31 |=:> uni0E31.left ;
-%LIGKERN uni0E1B uni0E34 |=:> uni0E34.left ;
-%LIGKERN uni0E1B uni0E35 |=:> uni0E35.left ;
-%LIGKERN uni0E1B uni0E36 |=:> uni0E36.left ;
-%LIGKERN uni0E1B uni0E37 |=:> uni0E37.left ;
-%LIGKERN uni0E1B uni0E47 |=:> uni0E47.left ;
-%Popla left tone marks
-%LIGKERN uni0E1B uni0E48.low |=:> uni0E48.low_left ;
-%LIGKERN uni0E1B uni0E49.low |=:> uni0E49.low_left ;
-%LIGKERN uni0E1B uni0E4A.low |=:> uni0E4A.low_left ;
-%LIGKERN uni0E1B uni0E4B.low |=:> uni0E4B.low_left ;
-%LIGKERN uni0E1B uni0E33 |=:|> uni0E4D.left ;
-%LIGKERN uni0E4D.left uni0E33 |=:> uni0E32 ;
-
-%FoFa left vowel
-%LIGKERN uni0E1D uni0E31 |=:> uni0E31.left ;
-%LIGKERN uni0E1D uni0E34 |=:> uni0E34.left ;
-%LIGKERN uni0E1D uni0E35 |=:> uni0E35.left ;
-%LIGKERN uni0E1D uni0E36 |=:> uni0E36.left ;
-%LIGKERN uni0E1D uni0E37 |=:> uni0E37.left ;
-%LIGKERN uni0E1D uni0E47 |=:> uni0E47.left ;
-%FoFa left tone marks
-%LIGKERN uni0E1D uni0E48.low |=:> uni0E48.low_left ;
-%LIGKERN uni0E1D uni0E49.low |=:> uni0E49.low_left ;
-%LIGKERN uni0E1D uni0E4A.low |=:> uni0E4A.low_left ;
-%LIGKERN uni0E1D uni0E4B.low |=:> uni0E4B.low_left ;
-%LIGKERN uni0E1D uni0E33 |=:|> uni0E4D.left ;
-%LIGKERN uni0E4D.left uni0E33 |=:> uni0E32 ;
-
-%FoFan left vowel
-%LIGKERN uni0E1F uni0E31 |=:> uni0E31.left ;
-%LIGKERN uni0E1F uni0E34 |=:> uni0E34.left ;
-%LIGKERN uni0E1F uni0E35 |=:> uni0E35.left ;
-%LIGKERN uni0E1F uni0E36 |=:> uni0E36.left ;
-%LIGKERN uni0E1F uni0E37 |=:> uni0E37.left ;
-%LIGKERN uni0E1F uni0E47 |=:> uni0E47.left ;
-%FoFan left tone marks
-%LIGKERN uni0E1F uni0E48.low |=:> uni0E48.low_left ;
-%LIGKERN uni0E1F uni0E49.low |=:> uni0E49.low_left ;
-%LIGKERN uni0E1F uni0E4A.low |=:> uni0E4A.low_left ;
-%LIGKERN uni0E1F uni0E4B.low |=:> uni0E4B.low_left ;
-%LIGKERN uni0E1F uni0E33 |=:|> uni0E4D.left ;
-%LIGKERN uni0E4D.left uni0E33 |=:> uni0E32 ;
-
-%LoChula left vowel
-%LIGKERN uni0E2C uni0E31 |=:> uni0E31.left ;
-%LIGKERN uni0E2C uni0E34 |=:> uni0E34.left ;
-%LIGKERN uni0E2C uni0E35 |=:> uni0E35.left ;
-%LIGKERN uni0E2C uni0E36 |=:> uni0E36.left ;
-%LIGKERN uni0E2C uni0E37 |=:> uni0E37.left ;
-%LIGKERN uni0E2C uni0E47 |=:> uni0E47.left ;
-%LoChula left tone marks
-%LIGKERN uni0E2C uni0E48.low |=:> uni0E48.low_left ;
-%LIGKERN uni0E2C uni0E49.low |=:> uni0E49.low_left ;
-%LIGKERN uni0E2C uni0E4A.low |=:> uni0E4A.low_left ;
-%LIGKERN uni0E2C uni0E4B.low |=:> uni0E4B.low_left ;
-%LIGKERN uni0E2C uni0E33 |=:|> uni0E4D.left ;
-%LIGKERN uni0E4D.left uni0E33 |=:> uni0E32 ;
-
-%ligature for making left SaraAm with HiLeft tone marks
-%LIGKERN uni0E48.low_left uni0E33 =:| uni0E48.left ;
-%LIGKERN uni0E48.left uni0E33 |=:|> uni0E4D.left ;
-%LIGKERN uni0E49.low_left uni0E33 =:| uni0E49.left ;
-%LIGKERN uni0E49.left uni0E33 |=:|> uni0E4D.left ;
-%LIGKERN uni0E4A.low_left uni0E33 =:| uni0E4A.left ;
-%LIGKERN uni0E4A.left uni0E33 |=:|> uni0E4D.left ;
-%LIGKERN uni0E4B.low_left uni0E33 =:| uni0E4B.left ;
-%LIGKERN uni0E4B.left uni0E33 |=:|> uni0E4D.left ;
-
-%LIGKERN uni0E48.low uni0E33 =:| uni0E48 ;
-%LIGKERN uni0E49.low uni0E33 =:| uni0E49 ;
-%LIGKERN uni0E4A.low uni0E33 =:| uni0E4A ;
-%LIGKERN uni0E4B.low uni0E33 =:| uni0E4B ;
-
-%ligature for making HI tone marks
-%LIGKERN uni0E31 uni0E48.low |=:> uni0E48 ;
-%LIGKERN uni0E31 uni0E49.low |=:> uni0E49 ;
-%LIGKERN uni0E31 uni0E4A.low |=:> uni0E4A ;
-%LIGKERN uni0E31 uni0E4B.low |=:> uni0E4B ;
-%LIGKERN uni0E34 uni0E48.low |=:> uni0E48 ;
-%LIGKERN uni0E34 uni0E49.low |=:> uni0E49 ;
-%LIGKERN uni0E34 uni0E4A.low |=:> uni0E4A ;
-%LIGKERN uni0E34 uni0E4B.low |=:> uni0E4B ;
-%LIGKERN uni0E34 uni0E4C.low |=:> uni0E4C ;
-%LIGKERN uni0E35 uni0E48.low |=:> uni0E48 ;
-%LIGKERN uni0E35 uni0E49.low |=:> uni0E49 ;
-%LIGKERN uni0E35 uni0E4A.low |=:> uni0E4A ;
-%LIGKERN uni0E35 uni0E4B.low |=:> uni0E4B ;
-%LIGKERN uni0E35 uni0E4C.low |=:> uni0E4C ;
-%LIGKERN uni0E36 uni0E48.low |=:> uni0E48 ;
-%LIGKERN uni0E36 uni0E49.low |=:> uni0E49 ;
-%LIGKERN uni0E36 uni0E4A.low |=:> uni0E4A ;
-%LIGKERN uni0E36 uni0E4B.low |=:> uni0E4B ;
-%LIGKERN uni0E36 uni0E4C.low |=:> uni0E4C ;
-%LIGKERN uni0E37 uni0E48.low |=:> uni0E48 ;
-%LIGKERN uni0E37 uni0E49.low |=:> uni0E49 ;
-%LIGKERN uni0E37 uni0E4A.low |=:> uni0E4A ;
-%LIGKERN uni0E37 uni0E4B.low |=:> uni0E4B ;
-%LIGKERN uni0E37 uni0E4C.low |=:> uni0E4C ;
-
-%ligature for making LEFT HI tone marks and thantakhad
-%LIGKERN uni0E31.left uni0E48.low |=:> uni0E48.left ;
-%LIGKERN uni0E34.left uni0E48.low |=:> uni0E48.left ;
-%LIGKERN uni0E35.left uni0E48.low |=:> uni0E48.left ;
-%LIGKERN uni0E36.left uni0E48.low |=:> uni0E48.left ;
-%LIGKERN uni0E37.left uni0E48.low |=:> uni0E48.left ;
-
-%LIGKERN uni0E31.left uni0E49.low |=:> uni0E49.left ;
-%LIGKERN uni0E34.left uni0E49.low |=:> uni0E49.left ;
-%LIGKERN uni0E35.left uni0E49.low |=:> uni0E49.left ;
-%LIGKERN uni0E36.left uni0E49.low |=:> uni0E49.left ;
-%LIGKERN uni0E37.left uni0E49.low |=:> uni0E49.left ;
-
-%LIGKERN uni0E31.left uni0E4A.low |=:> uni0E4A.left ;
-%LIGKERN uni0E34.left uni0E4A.low |=:> uni0E4A.left ;
-%LIGKERN uni0E35.left uni0E4A.low |=:> uni0E4A.left ;
-%LIGKERN uni0E36.left uni0E4A.low |=:> uni0E4A.left ;
-%LIGKERN uni0E37.left uni0E4A.low |=:> uni0E4A.left ;
-
-%LIGKERN uni0E31.left uni0E4B.low |=:> uni0E4B.left ;
-%LIGKERN uni0E34.left uni0E4B.low |=:> uni0E4B.left ;
-%LIGKERN uni0E35.left uni0E4B.low |=:> uni0E4B.left ;
-%LIGKERN uni0E36.left uni0E4B.low |=:> uni0E4B.left ;
-%LIGKERN uni0E37.left uni0E4B.low |=:> uni0E4B.left ;
-
-%LIGKERN uni0E34.left uni0E4C.low |=:> uni0E4C.left ;
-
-%ligature for making LOW SaraU SaraUu and Phinthu
-%LIGKERN uni0E0E uni0E38 |=:> uni0E38.low ;
-%LIGKERN uni0E0E uni0E39 |=:> uni0E39.low ;
-%LIGKERN uni0E0E uni0E3A |=:> uni0E3A.low ;
-%LIGKERN uni0E0F uni0E38 |=:> uni0E38.low ;
-%LIGKERN uni0E0F uni0E39 |=:> uni0E39.low ;
-%LIGKERN uni0E0F uni0E3A |=:> uni0E3A.low ;
-
-%ligature for making YoYingDescless and ThoThanDescless
-%LIGKERN uni0E0D uni0E38 =:|> uni0E0D.descless ;
-%LIGKERN uni0E0D uni0E39 =:|> uni0E0D.descless ;
-%LIGKERN uni0E0D uni0E3A =:|> uni0E0D.descless ;
-%LIGKERN uni0E10 uni0E38 =:|> uni0E10.descless ;
-%LIGKERN uni0E10 uni0E39 =:|> uni0E10.descless ;
-%LIGKERN uni0E10 uni0E3A =:|> uni0E10.descless ;
-
-%ligature for making Lakkhangyao
-%LIGKERN uni0E24 uni0E32 |=:> uni0E45 ;
-%LIGKERN uni0E26 uni0E32 |=:> uni0E45 ;
-
-%default ligature and kern set normally built-in in afm2tfm
-%LIGKERN question quoteleft =: questiondown ; exclam quoteleft =: exclamdown ;
-%LIGKERN hyphen hyphen =: endash ; endash hyphen =: emdash ;
-%LIGKERN quoteleft quoteleft =: quotedblleft ;
-%LIGKERN quoteright quoteright =: quotedblright ;
-%LIGKERN space {} * ; * {} space ; zero {} * ; * {} zero ;
-%LIGKERN one {} * ; * {} one ; two {} * ; * {} two ;
-%LIGLERN three {} * ; * {} three ; four {} * ; * {} four ;
-%LIGLERN five {} * ; * {} five ; six {} * ; * {} six ;
-%LIGKERN seven {} * ; * {} seven ; eight {} * ; * {} eight ;
-%LIGKERN nine {} * ; * {} nine ;
-%LIGKERN comma comma =: quotedblbase ; less less =: guillemotleft ;
-%LIGKERN greater greater =: guillemotright ;
-%LIGKERN f f =: ff ; f i =: fi ; f l =: fl ;
-%LIGKERN ff i =: ffi ; ff l =: ffl ;
 
 /LTHEncoding [
 % 0x00
-/.notdef /.notdef /.notdef /.notdef 
+/.notdef /uni0E38 /uni0E39 /uni0E3A 
 /.notdef /.notdef /.notdef /.notdef 
 /.notdef /.notdef /.notdef /.notdef 
 /.notdef /quotesinglbase /guilsinglleft /guilsinglright
 % 0x10
 /exclamdown /questiondown /quotedblbase /guillemotleft 
-/guillemotright /.notdef /.notdef /compwordmark
-/perthousandzero /dotlessi /dotlessj /ff
+/guillemotright /.notdef /.notdef /.notdef
+/perthousand /dotlessi /dotlessj /ff
 /fi /fl /ffi /ffl
 % 0x20
-/visualspace /exclam /quotedbl /numbersign
+/space /exclam /quotedbl /numbersign
 /dollar /percent /ampersand /quoteright
 /parenleft /parenright /asterisk /plus
 /comma /hyphen /period /slash
@@ -211,7 +47,7 @@
 /p /q /r /s
 /t /u /v /w
 /x /y /z /braceleft
-/bar /braceright /asciitilde /hyphen
+/bar /braceright /asciitilde /.notdef
 % 0x80
 /uni0E10.descless /uni0E34.left /uni0E35.left /uni0E36.left
 /uni0E37.left /ellipsis /uni0E48.low_left /uni0E49.low_left
@@ -240,8 +76,8 @@
 % 0xD0
 /uni0E30 /uni0E31 /uni0E32 /uni0E33
 /uni0E34 /uni0E35 /uni0E36 /uni0E37
-/uni0E38 /uni0E39 /uni0E3A /nonbreakingspace
-/ThaiWordBreak /.notdef /.notdef /uni0E3F
+/uni0E38 /uni0E39 /uni0E3A /.notdef
+/zerowidthspace /.notdef /.notdef /uni0E3F
 % 0xE0
 /uni0E40 /uni0E41 /uni0E42 /uni0E43
 /uni0E44 /uni0E45 /uni0E46 /uni0E47
Index: fonts/thai-dummy.afm
===================================================================
RCS file: fonts/thai-dummy.afm
diff -N fonts/thai-dummy.afm
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ fonts/thai-dummy.afm	22 Jan 2008 11:39:12 -0000
@@ -0,0 +1,243 @@
+StartFontMetrics 2.0
+StartCharMetrics 239
+C 0 ; WX 0 ; N .notdef ; B 0 0 0 0 ;
+C 1 ; WX 0 ; N uni0E38.left ; B 0 0 0 0 ;
+C 2 ; WX 0 ; N uni0E39.left ; B 0 0 0 0 ;
+C 3 ; WX 0 ; N uni0E3A.left ; B 0 0 0 0 ;
+C 13 ; WX 0 ; N quotesinglbase ; B 0 0 0 0 ;
+C 14 ; WX 0 ; N guilsinglleft ; B 0 0 0 0 ;
+C 15 ; WX 0 ; N guilsinglright ; B 0 0 0 0 ;
+C 16 ; WX 0 ; N exclamdown ; B 0 0 0 0 ;
+C 17 ; WX 0 ; N questiondown ; B 0 0 0 0 ;
+C 18 ; WX 0 ; N quotedblbase ; B 0 0 0 0 ;
+C 19 ; WX 0 ; N guillemotleft ; B 0 0 0 0 ;
+C 20 ; WX 0 ; N guillemotright ; B 0 0 0 0 ;
+C 24 ; WX 0 ; N perthousand ; B 0 0 0 0 ;
+C 25 ; WX 0 ; N dotlessi ; B 0 0 0 0 ;
+C 26 ; WX 0 ; N dotlessj ; B 0 0 0 0 ;
+C 27 ; WX 0 ; N ff ; B 0 0 0 0 ;
+C 28 ; WX 0 ; N fi ; B 0 0 0 0 ;
+C 29 ; WX 0 ; N fl ; B 0 0 0 0 ;
+C 30 ; WX 0 ; N ffi ; B 0 0 0 0 ;
+C 31 ; WX 0 ; N ffl ; B 0 0 0 0 ;
+C 32 ; WX 0 ; N space ; B 0 0 0 0 ;
+C 33 ; WX 0 ; N exclam ; B 0 0 0 0 ;
+C 34 ; WX 0 ; N quotedbl ; B 0 0 0 0 ;
+C 35 ; WX 0 ; N numbersign ; B 0 0 0 0 ;
+C 36 ; WX 0 ; N dollar ; B 0 0 0 0 ;
+C 37 ; WX 0 ; N percent ; B 0 0 0 0 ;
+C 38 ; WX 0 ; N ampersand ; B 0 0 0 0 ;
+C 39 ; WX 0 ; N quoteright ; B 0 0 0 0 ;
+C 40 ; WX 0 ; N parenleft ; B 0 0 0 0 ;
+C 41 ; WX 0 ; N parenright ; B 0 0 0 0 ;
+C 42 ; WX 0 ; N asterisk ; B 0 0 0 0 ;
+C 43 ; WX 0 ; N plus ; B 0 0 0 0 ;
+C 44 ; WX 0 ; N comma ; B 0 0 0 0 ;
+C 45 ; WX 0 ; N hyphen ; B 0 0 0 0 ;
+C 46 ; WX 0 ; N period ; B 0 0 0 0 ;
+C 47 ; WX 0 ; N slash ; B 0 0 0 0 ;
+C 48 ; WX 0 ; N zero ; B 0 0 0 0 ;
+C 49 ; WX 0 ; N one ; B 0 0 0 0 ;
+C 50 ; WX 0 ; N two ; B 0 0 0 0 ;
+C 51 ; WX 0 ; N three ; B 0 0 0 0 ;
+C 52 ; WX 0 ; N four ; B 0 0 0 0 ;
+C 53 ; WX 0 ; N five ; B 0 0 0 0 ;
+C 54 ; WX 0 ; N six ; B 0 0 0 0 ;
+C 55 ; WX 0 ; N seven ; B 0 0 0 0 ;
+C 56 ; WX 0 ; N eight ; B 0 0 0 0 ;
+C 57 ; WX 0 ; N nine ; B 0 0 0 0 ;
+C 58 ; WX 0 ; N colon ; B 0 0 0 0 ;
+C 59 ; WX 0 ; N semicolon ; B 0 0 0 0 ;
+C 60 ; WX 0 ; N less ; B 0 0 0 0 ;
+C 61 ; WX 0 ; N equal ; B 0 0 0 0 ;
+C 62 ; WX 0 ; N greater ; B 0 0 0 0 ;
+C 63 ; WX 0 ; N question ; B 0 0 0 0 ;
+C 64 ; WX 0 ; N at ; B 0 0 0 0 ;
+C 65 ; WX 0 ; N A ; B 0 0 0 0 ;
+C 66 ; WX 0 ; N B ; B 0 0 0 0 ;
+C 67 ; WX 0 ; N C ; B 0 0 0 0 ;
+C 68 ; WX 0 ; N D ; B 0 0 0 0 ;
+C 69 ; WX 0 ; N E ; B 0 0 0 0 ;
+C 70 ; WX 0 ; N F ; B 0 0 0 0 ;
+C 71 ; WX 0 ; N G ; B 0 0 0 0 ;
+C 72 ; WX 0 ; N H ; B 0 0 0 0 ;
+C 73 ; WX 0 ; N I ; B 0 0 0 0 ;
+C 74 ; WX 0 ; N J ; B 0 0 0 0 ;
+C 75 ; WX 0 ; N K ; B 0 0 0 0 ;
+C 76 ; WX 0 ; N L ; B 0 0 0 0 ;
+C 77 ; WX 0 ; N M ; B 0 0 0 0 ;
+C 78 ; WX 0 ; N N ; B 0 0 0 0 ;
+C 79 ; WX 0 ; N O ; B 0 0 0 0 ;
+C 80 ; WX 0 ; N P ; B 0 0 0 0 ;
+C 81 ; WX 0 ; N Q ; B 0 0 0 0 ;
+C 82 ; WX 0 ; N R ; B 0 0 0 0 ;
+C 83 ; WX 0 ; N S ; B 0 0 0 0 ;
+C 84 ; WX 0 ; N T ; B 0 0 0 0 ;
+C 85 ; WX 0 ; N U ; B 0 0 0 0 ;
+C 86 ; WX 0 ; N V ; B 0 0 0 0 ;
+C 87 ; WX 0 ; N W ; B 0 0 0 0 ;
+C 88 ; WX 0 ; N X ; B 0 0 0 0 ;
+C 89 ; WX 0 ; N Y ; B 0 0 0 0 ;
+C 90 ; WX 0 ; N Z ; B 0 0 0 0 ;
+C 91 ; WX 0 ; N bracketleft ; B 0 0 0 0 ;
+C 92 ; WX 0 ; N backslash ; B 0 0 0 0 ;
+C 93 ; WX 0 ; N bracketright ; B 0 0 0 0 ;
+C 94 ; WX 0 ; N asciicircum ; B 0 0 0 0 ;
+C 95 ; WX 0 ; N underscore ; B 0 0 0 0 ;
+C 96 ; WX 0 ; N quoteleft ; B 0 0 0 0 ;
+C 97 ; WX 0 ; N a ; B 0 0 0 0 ;
+C 98 ; WX 0 ; N b ; B 0 0 0 0 ;
+C 99 ; WX 0 ; N c ; B 0 0 0 0 ;
+C 100 ; WX 0 ; N d ; B 0 0 0 0 ;
+C 101 ; WX 0 ; N e ; B 0 0 0 0 ;
+C 102 ; WX 0 ; N f ; B 0 0 0 0 ;
+C 103 ; WX 0 ; N g ; B 0 0 0 0 ;
+C 104 ; WX 0 ; N h ; B 0 0 0 0 ;
+C 105 ; WX 0 ; N i ; B 0 0 0 0 ;
+C 106 ; WX 0 ; N j ; B 0 0 0 0 ;
+C 107 ; WX 0 ; N k ; B 0 0 0 0 ;
+C 108 ; WX 0 ; N l ; B 0 0 0 0 ;
+C 109 ; WX 0 ; N m ; B 0 0 0 0 ;
+C 110 ; WX 0 ; N n ; B 0 0 0 0 ;
+C 111 ; WX 0 ; N o ; B 0 0 0 0 ;
+C 112 ; WX 0 ; N p ; B 0 0 0 0 ;
+C 113 ; WX 0 ; N q ; B 0 0 0 0 ;
+C 114 ; WX 0 ; N r ; B 0 0 0 0 ;
+C 115 ; WX 0 ; N s ; B 0 0 0 0 ;
+C 116 ; WX 0 ; N t ; B 0 0 0 0 ;
+C 117 ; WX 0 ; N u ; B 0 0 0 0 ;
+C 118 ; WX 0 ; N v ; B 0 0 0 0 ;
+C 119 ; WX 0 ; N w ; B 0 0 0 0 ;
+C 120 ; WX 0 ; N x ; B 0 0 0 0 ;
+C 121 ; WX 0 ; N y ; B 0 0 0 0 ;
+C 122 ; WX 0 ; N z ; B 0 0 0 0 ;
+C 123 ; WX 0 ; N braceleft ; B 0 0 0 0 ;
+C 124 ; WX 0 ; N bar ; B 0 0 0 0 ;
+C 125 ; WX 0 ; N braceright ; B 0 0 0 0 ;
+C 126 ; WX 0 ; N asciitilde ; B 0 0 0 0 ;
+C 128 ; WX 0 ; N uni0E10.descless ; B 0 0 0 0 ;
+C 129 ; WX 0 ; N uni0E34.left ; B 0 0 0 0 ;
+C 130 ; WX 0 ; N uni0E35.left ; B 0 0 0 0 ;
+C 131 ; WX 0 ; N uni0E36.left ; B 0 0 0 0 ;
+C 132 ; WX 0 ; N uni0E37.left ; B 0 0 0 0 ;
+C 133 ; WX 0 ; N ellipsis ; B 0 0 0 0 ;
+C 134 ; WX 0 ; N uni0E48.low_left ; B 0 0 0 0 ;
+C 135 ; WX 0 ; N uni0E49.low_left ; B 0 0 0 0 ;
+C 136 ; WX 0 ; N uni0E4A.low_left ; B 0 0 0 0 ;
+C 137 ; WX 0 ; N uni0E4B.low_left ; B 0 0 0 0 ;
+C 138 ; WX 0 ; N uni0E4C.low_left ; B 0 0 0 0 ;
+C 139 ; WX 0 ; N uni0E48 ; B 0 0 0 0 ;
+C 140 ; WX 0 ; N uni0E49 ; B 0 0 0 0 ;
+C 141 ; WX 0 ; N uni0E4A ; B 0 0 0 0 ;
+C 142 ; WX 0 ; N uni0E4B ; B 0 0 0 0 ;
+C 143 ; WX 0 ; N uni0E4C ; B 0 0 0 0 ;
+C 144 ; WX 0 ; N uni0E0D.descless ; B 0 0 0 0 ;
+C 145 ; WX 0 ; N quoteleft ; B 0 0 0 0 ;
+C 146 ; WX 0 ; N quoteright ; B 0 0 0 0 ;
+C 147 ; WX 0 ; N quotedblleft ; B 0 0 0 0 ;
+C 148 ; WX 0 ; N quotedblright ; B 0 0 0 0 ;
+C 149 ; WX 0 ; N bullet ; B 0 0 0 0 ;
+C 150 ; WX 0 ; N endash ; B 0 0 0 0 ;
+C 151 ; WX 0 ; N emdash ; B 0 0 0 0 ;
+C 152 ; WX 0 ; N uni0E31.left ; B 0 0 0 0 ;
+C 153 ; WX 0 ; N uni0E4D.left ; B 0 0 0 0 ;
+C 154 ; WX 0 ; N uni0E47.left ; B 0 0 0 0 ;
+C 155 ; WX 0 ; N uni0E48.left ; B 0 0 0 0 ;
+C 156 ; WX 0 ; N uni0E49.left ; B 0 0 0 0 ;
+C 157 ; WX 0 ; N uni0E4A.left ; B 0 0 0 0 ;
+C 158 ; WX 0 ; N uni0E4B.left ; B 0 0 0 0 ;
+C 159 ; WX 0 ; N uni0E4C.left ; B 0 0 0 0 ;
+C 160 ; WX 0 ; N nonbreakingspace ; B 0 0 0 0 ;
+C 161 ; WX 0 ; N uni0E01 ; B 0 0 0 0 ;
+C 162 ; WX 0 ; N uni0E02 ; B 0 0 0 0 ;
+C 163 ; WX 0 ; N uni0E03 ; B 0 0 0 0 ;
+C 164 ; WX 0 ; N uni0E04 ; B 0 0 0 0 ;
+C 165 ; WX 0 ; N uni0E05 ; B 0 0 0 0 ;
+C 166 ; WX 0 ; N uni0E06 ; B 0 0 0 0 ;
+C 167 ; WX 0 ; N uni0E07 ; B 0 0 0 0 ;
+C 168 ; WX 0 ; N uni0E08 ; B 0 0 0 0 ;
+C 169 ; WX 0 ; N uni0E09 ; B 0 0 0 0 ;
+C 170 ; WX 0 ; N uni0E0A ; B 0 0 0 0 ;
+C 171 ; WX 0 ; N uni0E0B ; B 0 0 0 0 ;
+C 172 ; WX 0 ; N uni0E0C ; B 0 0 0 0 ;
+C 173 ; WX 0 ; N uni0E0D ; B 0 0 0 0 ;
+C 174 ; WX 0 ; N uni0E0E ; B 0 0 0 0 ;
+C 175 ; WX 0 ; N uni0E0F ; B 0 0 0 0 ;
+C 176 ; WX 0 ; N uni0E10 ; B 0 0 0 0 ;
+C 177 ; WX 0 ; N uni0E11 ; B 0 0 0 0 ;
+C 178 ; WX 0 ; N uni0E12 ; B 0 0 0 0 ;
+C 179 ; WX 0 ; N uni0E13 ; B 0 0 0 0 ;
+C 180 ; WX 0 ; N uni0E14 ; B 0 0 0 0 ;
+C 181 ; WX 0 ; N uni0E15 ; B 0 0 0 0 ;
+C 182 ; WX 0 ; N uni0E16 ; B 0 0 0 0 ;
+C 183 ; WX 0 ; N uni0E17 ; B 0 0 0 0 ;
+C 184 ; WX 0 ; N uni0E18 ; B 0 0 0 0 ;
+C 185 ; WX 0 ; N uni0E19 ; B 0 0 0 0 ;
+C 186 ; WX 0 ; N uni0E1A ; B 0 0 0 0 ;
+C 187 ; WX 0 ; N uni0E1B ; B 0 0 0 0 ;
+C 188 ; WX 0 ; N uni0E1C ; B 0 0 0 0 ;
+C 189 ; WX 0 ; N uni0E1D ; B 0 0 0 0 ;
+C 190 ; WX 0 ; N uni0E1E ; B 0 0 0 0 ;
+C 191 ; WX 0 ; N uni0E1F ; B 0 0 0 0 ;
+C 192 ; WX 0 ; N uni0E20 ; B 0 0 0 0 ;
+C 193 ; WX 0 ; N uni0E21 ; B 0 0 0 0 ;
+C 194 ; WX 0 ; N uni0E22 ; B 0 0 0 0 ;
+C 195 ; WX 0 ; N uni0E23 ; B 0 0 0 0 ;
+C 196 ; WX 0 ; N uni0E24 ; B 0 0 0 0 ;
+C 197 ; WX 0 ; N uni0E25 ; B 0 0 0 0 ;
+C 198 ; WX 0 ; N uni0E26 ; B 0 0 0 0 ;
+C 199 ; WX 0 ; N uni0E27 ; B 0 0 0 0 ;
+C 200 ; WX 0 ; N uni0E28 ; B 0 0 0 0 ;
+C 201 ; WX 0 ; N uni0E29 ; B 0 0 0 0 ;
+C 202 ; WX 0 ; N uni0E2A ; B 0 0 0 0 ;
+C 203 ; WX 0 ; N uni0E2B ; B 0 0 0 0 ;
+C 204 ; WX 0 ; N uni0E2C ; B 0 0 0 0 ;
+C 205 ; WX 0 ; N uni0E2D ; B 0 0 0 0 ;
+C 206 ; WX 0 ; N uni0E2E ; B 0 0 0 0 ;
+C 207 ; WX 0 ; N uni0E2F ; B 0 0 0 0 ;
+C 208 ; WX 0 ; N uni0E30 ; B 0 0 0 0 ;
+C 209 ; WX 0 ; N uni0E31 ; B 0 0 0 0 ;
+C 210 ; WX 0 ; N uni0E32 ; B 0 0 0 0 ;
+C 211 ; WX 0 ; N uni0E33 ; B 0 0 0 0 ;
+C 212 ; WX 0 ; N uni0E34 ; B 0 0 0 0 ;
+C 213 ; WX 0 ; N uni0E35 ; B 0 0 0 0 ;
+C 214 ; WX 0 ; N uni0E36 ; B 0 0 0 0 ;
+C 215 ; WX 0 ; N uni0E37 ; B 0 0 0 0 ;
+C 216 ; WX 0 ; N uni0E38 ; B 0 0 0 0 ;
+C 217 ; WX 0 ; N uni0E39 ; B 0 0 0 0 ;
+C 218 ; WX 0 ; N uni0E3A ; B 0 0 0 0 ;
+C 220 ; WX 0 ; N zerowidthspace ; B 0 0 0 0 ;
+C 223 ; WX 0 ; N uni0E3F ; B 0 0 0 0 ;
+C 224 ; WX 0 ; N uni0E40 ; B 0 0 0 0 ;
+C 225 ; WX 0 ; N uni0E41 ; B 0 0 0 0 ;
+C 226 ; WX 0 ; N uni0E42 ; B 0 0 0 0 ;
+C 227 ; WX 0 ; N uni0E43 ; B 0 0 0 0 ;
+C 228 ; WX 0 ; N uni0E44 ; B 0 0 0 0 ;
+C 229 ; WX 0 ; N uni0E45 ; B 0 0 0 0 ;
+C 230 ; WX 0 ; N uni0E46 ; B 0 0 0 0 ;
+C 231 ; WX 0 ; N uni0E47 ; B 0 0 0 0 ;
+C 232 ; WX 0 ; N uni0E48.low ; B 0 0 0 0 ;
+C 233 ; WX 0 ; N uni0E49.low ; B 0 0 0 0 ;
+C 234 ; WX 0 ; N uni0E4A.low ; B 0 0 0 0 ;
+C 235 ; WX 0 ; N uni0E4B.low ; B 0 0 0 0 ;
+C 236 ; WX 0 ; N uni0E4C.low ; B 0 0 0 0 ;
+C 237 ; WX 0 ; N uni0E4D ; B 0 0 0 0 ;
+C 238 ; WX 0 ; N uni0E4E ; B 0 0 0 0 ;
+C 239 ; WX 0 ; N uni0E4F ; B 0 0 0 0 ;
+C 240 ; WX 0 ; N uni0E50 ; B 0 0 0 0 ;
+C 241 ; WX 0 ; N uni0E51 ; B 0 0 0 0 ;
+C 242 ; WX 0 ; N uni0E52 ; B 0 0 0 0 ;
+C 243 ; WX 0 ; N uni0E53 ; B 0 0 0 0 ;
+C 244 ; WX 0 ; N uni0E54 ; B 0 0 0 0 ;
+C 245 ; WX 0 ; N uni0E55 ; B 0 0 0 0 ;
+C 246 ; WX 0 ; N uni0E56 ; B 0 0 0 0 ;
+C 247 ; WX 0 ; N uni0E57 ; B 0 0 0 0 ;
+C 248 ; WX 0 ; N uni0E58 ; B 0 0 0 0 ;
+C 249 ; WX 0 ; N uni0E59 ; B 0 0 0 0 ;
+C 250 ; WX 0 ; N uni0E5A ; B 0 0 0 0 ;
+C 251 ; WX 0 ; N uni0E5B ; B 0 0 0 0 ;
+C 252 ; WX 0 ; N uni0E38.low ; B 0 0 0 0 ;
+C 253 ; WX 0 ; N uni0E39.low ; B 0 0 0 0 ;
+C 254 ; WX 0 ; N uni0E3A.low ; B 0 0 0 0 ;
+EndCharMetrics
+EndFontMetrics
Index: fonts/thailigs.enc
===================================================================
RCS file: fonts/thailigs.enc
diff -N fonts/thailigs.enc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ fonts/thailigs.enc	22 Jan 2008 11:39:12 -0000
@@ -0,0 +1,286 @@
+% LTHUNI.enc
+% by Poonlap Veerathanabutr <poonlap@linux.thai.net>
+% 2002-12-30
+% 2003-09-15 Chanop Silpa-Anan <chanop@debian.org>
+%  * Use new unicode variant name.
+%
+% This is LaTeX LTH (Locale Thai) encoding for unicode encoded fonts
+%
+%ligature for making LEFT vowels, tone marks and Nikhahit
+%PoPla left vowel
+%LIGKERN uni0E1B uni0E31 |=:> uni0E31.left ;
+%LIGKERN uni0E1B uni0E34 |=:> uni0E34.left ;
+%LIGKERN uni0E1B uni0E35 |=:> uni0E35.left ;
+%LIGKERN uni0E1B uni0E36 |=:> uni0E36.left ;
+%LIGKERN uni0E1B uni0E37 |=:> uni0E37.left ;
+%LIGKERN uni0E1B uni0E38 |=:> uni0E38.left ;
+%LIGKERN uni0E1B uni0E39 |=:> uni0E39.left ;
+%LIGKERN uni0E1B uni0E3A |=:> uni0E3A.left ;
+%LIGKERN uni0E1B uni0E47 |=:> uni0E47.left ;
+%Popla left tone marks
+%LIGKERN uni0E1B uni0E48.low |=:> uni0E48.low_left ;
+%LIGKERN uni0E1B uni0E49.low |=:> uni0E49.low_left ;
+%LIGKERN uni0E1B uni0E4A.low |=:> uni0E4A.low_left ;
+%LIGKERN uni0E1B uni0E4B.low |=:> uni0E4B.low_left ;
+%LIGKERN uni0E1B uni0E33 |=:|> uni0E4D.left ;
+%LIGKERN uni0E4D.left uni0E33 |=:> uni0E32 ;
+
+%FoFa left vowel
+%LIGKERN uni0E1D uni0E31 |=:> uni0E31.left ;
+%LIGKERN uni0E1D uni0E34 |=:> uni0E34.left ;
+%LIGKERN uni0E1D uni0E35 |=:> uni0E35.left ;
+%LIGKERN uni0E1D uni0E36 |=:> uni0E36.left ;
+%LIGKERN uni0E1D uni0E37 |=:> uni0E37.left ;
+%LIGKERN uni0E1D uni0E38 |=:> uni0E38.left ;
+%LIGKERN uni0E1D uni0E39 |=:> uni0E39.left ;
+%LIGKERN uni0E1D uni0E3A |=:> uni0E3A.left ;
+%LIGKERN uni0E1D uni0E47 |=:> uni0E47.left ;
+%FoFa left tone marks
+%LIGKERN uni0E1D uni0E48.low |=:> uni0E48.low_left ;
+%LIGKERN uni0E1D uni0E49.low |=:> uni0E49.low_left ;
+%LIGKERN uni0E1D uni0E4A.low |=:> uni0E4A.low_left ;
+%LIGKERN uni0E1D uni0E4B.low |=:> uni0E4B.low_left ;
+%LIGKERN uni0E1D uni0E33 |=:|> uni0E4D.left ;
+%LIGKERN uni0E4D.left uni0E33 |=:> uni0E32 ;
+
+%FoFan left vowel
+%LIGKERN uni0E1F uni0E31 |=:> uni0E31.left ;
+%LIGKERN uni0E1F uni0E34 |=:> uni0E34.left ;
+%LIGKERN uni0E1F uni0E35 |=:> uni0E35.left ;
+%LIGKERN uni0E1F uni0E36 |=:> uni0E36.left ;
+%LIGKERN uni0E1F uni0E37 |=:> uni0E37.left ;
+%LIGKERN uni0E1F uni0E38 |=:> uni0E38.left ;
+%LIGKERN uni0E1F uni0E39 |=:> uni0E39.left ;
+%LIGKERN uni0E1F uni0E3A |=:> uni0E3A.left ;
+%LIGKERN uni0E1F uni0E47 |=:> uni0E47.left ;
+%FoFan left tone marks
+%LIGKERN uni0E1F uni0E48.low |=:> uni0E48.low_left ;
+%LIGKERN uni0E1F uni0E49.low |=:> uni0E49.low_left ;
+%LIGKERN uni0E1F uni0E4A.low |=:> uni0E4A.low_left ;
+%LIGKERN uni0E1F uni0E4B.low |=:> uni0E4B.low_left ;
+%LIGKERN uni0E1F uni0E33 |=:|> uni0E4D.left ;
+%LIGKERN uni0E4D.left uni0E33 |=:> uni0E32 ;
+
+%LoChula left vowel
+%LIGKERN uni0E2C uni0E31 |=:> uni0E31.left ;
+%LIGKERN uni0E2C uni0E34 |=:> uni0E34.left ;
+%LIGKERN uni0E2C uni0E35 |=:> uni0E35.left ;
+%LIGKERN uni0E2C uni0E36 |=:> uni0E36.left ;
+%LIGKERN uni0E2C uni0E37 |=:> uni0E37.left ;
+%LIGKERN uni0E2C uni0E38 |=:> uni0E38.left ;
+%LIGKERN uni0E2C uni0E39 |=:> uni0E39.left ;
+%LIGKERN uni0E2C uni0E3A |=:> uni0E3A.left ;
+%LIGKERN uni0E2C uni0E47 |=:> uni0E47.left ;
+%LoChula left tone marks
+%LIGKERN uni0E2C uni0E48.low |=:> uni0E48.low_left ;
+%LIGKERN uni0E2C uni0E49.low |=:> uni0E49.low_left ;
+%LIGKERN uni0E2C uni0E4A.low |=:> uni0E4A.low_left ;
+%LIGKERN uni0E2C uni0E4B.low |=:> uni0E4B.low_left ;
+%LIGKERN uni0E2C uni0E33 |=:|> uni0E4D.left ;
+%LIGKERN uni0E4D.left uni0E33 |=:> uni0E32 ;
+
+%ligature for making left SaraAm with HiLeft tone marks
+%LIGKERN uni0E48.low_left uni0E33 =:| uni0E48.left ;
+%LIGKERN uni0E48.left uni0E33 |=:|> uni0E4D.left ;
+%LIGKERN uni0E49.low_left uni0E33 =:| uni0E49.left ;
+%LIGKERN uni0E49.left uni0E33 |=:|> uni0E4D.left ;
+%LIGKERN uni0E4A.low_left uni0E33 =:| uni0E4A.left ;
+%LIGKERN uni0E4A.left uni0E33 |=:|> uni0E4D.left ;
+%LIGKERN uni0E4B.low_left uni0E33 =:| uni0E4B.left ;
+%LIGKERN uni0E4B.left uni0E33 |=:|> uni0E4D.left ;
+
+%LIGKERN uni0E48.low uni0E33 =:| uni0E48 ;
+%LIGKERN uni0E49.low uni0E33 =:| uni0E49 ;
+%LIGKERN uni0E4A.low uni0E33 =:| uni0E4A ;
+%LIGKERN uni0E4B.low uni0E33 =:| uni0E4B ;
+
+%ligature for making HI tone marks
+%LIGKERN uni0E31 uni0E48.low |=:> uni0E48 ;
+%LIGKERN uni0E31 uni0E49.low |=:> uni0E49 ;
+%LIGKERN uni0E31 uni0E4A.low |=:> uni0E4A ;
+%LIGKERN uni0E31 uni0E4B.low |=:> uni0E4B ;
+%LIGKERN uni0E34 uni0E48.low |=:> uni0E48 ;
+%LIGKERN uni0E34 uni0E49.low |=:> uni0E49 ;
+%LIGKERN uni0E34 uni0E4A.low |=:> uni0E4A ;
+%LIGKERN uni0E34 uni0E4B.low |=:> uni0E4B ;
+%LIGKERN uni0E34 uni0E4C.low |=:> uni0E4C ;
+%LIGKERN uni0E35 uni0E48.low |=:> uni0E48 ;
+%LIGKERN uni0E35 uni0E49.low |=:> uni0E49 ;
+%LIGKERN uni0E35 uni0E4A.low |=:> uni0E4A ;
+%LIGKERN uni0E35 uni0E4B.low |=:> uni0E4B ;
+%LIGKERN uni0E35 uni0E4C.low |=:> uni0E4C ;
+%LIGKERN uni0E36 uni0E48.low |=:> uni0E48 ;
+%LIGKERN uni0E36 uni0E49.low |=:> uni0E49 ;
+%LIGKERN uni0E36 uni0E4A.low |=:> uni0E4A ;
+%LIGKERN uni0E36 uni0E4B.low |=:> uni0E4B ;
+%LIGKERN uni0E36 uni0E4C.low |=:> uni0E4C ;
+%LIGKERN uni0E37 uni0E48.low |=:> uni0E48 ;
+%LIGKERN uni0E37 uni0E49.low |=:> uni0E49 ;
+%LIGKERN uni0E37 uni0E4A.low |=:> uni0E4A ;
+%LIGKERN uni0E37 uni0E4B.low |=:> uni0E4B ;
+%LIGKERN uni0E37 uni0E4C.low |=:> uni0E4C ;
+
+%ligature for making LEFT HI tone marks and thantakhad
+%LIGKERN uni0E31.left uni0E48.low |=:> uni0E48.left ;
+%LIGKERN uni0E34.left uni0E48.low |=:> uni0E48.left ;
+%LIGKERN uni0E35.left uni0E48.low |=:> uni0E48.left ;
+%LIGKERN uni0E36.left uni0E48.low |=:> uni0E48.left ;
+%LIGKERN uni0E37.left uni0E48.low |=:> uni0E48.left ;
+
+%LIGKERN uni0E31.left uni0E49.low |=:> uni0E49.left ;
+%LIGKERN uni0E34.left uni0E49.low |=:> uni0E49.left ;
+%LIGKERN uni0E35.left uni0E49.low |=:> uni0E49.left ;
+%LIGKERN uni0E36.left uni0E49.low |=:> uni0E49.left ;
+%LIGKERN uni0E37.left uni0E49.low |=:> uni0E49.left ;
+
+%LIGKERN uni0E31.left uni0E4A.low |=:> uni0E4A.left ;
+%LIGKERN uni0E34.left uni0E4A.low |=:> uni0E4A.left ;
+%LIGKERN uni0E35.left uni0E4A.low |=:> uni0E4A.left ;
+%LIGKERN uni0E36.left uni0E4A.low |=:> uni0E4A.left ;
+%LIGKERN uni0E37.left uni0E4A.low |=:> uni0E4A.left ;
+
+%LIGKERN uni0E31.left uni0E4B.low |=:> uni0E4B.left ;
+%LIGKERN uni0E34.left uni0E4B.low |=:> uni0E4B.left ;
+%LIGKERN uni0E35.left uni0E4B.low |=:> uni0E4B.left ;
+%LIGKERN uni0E36.left uni0E4B.low |=:> uni0E4B.left ;
+%LIGKERN uni0E37.left uni0E4B.low |=:> uni0E4B.left ;
+
+%LIGKERN uni0E34.left uni0E4C.low |=:> uni0E4C.left ;
+
+%ligature for making LEFT LOW tone marks and thantakhad
+%LIGKERN uni0E38.left uni0E48.low |=:> uni0E48.low_left ;
+%LIGKERN uni0E39.left uni0E48.low |=:> uni0E48.low_left ;
+%LIGKERN uni0E3A.left uni0E48.low |=:> uni0E48.low_left ;
+
+%LIGKERN uni0E38.left uni0E49.low |=:> uni0E49.low_left ;
+%LIGKERN uni0E39.left uni0E49.low |=:> uni0E49.low_left ;
+%LIGKERN uni0E3A.left uni0E49.low |=:> uni0E49.low_left ;
+
+%LIGKERN uni0E38.left uni0E4A.low |=:> uni0E4A.low_left ;
+%LIGKERN uni0E39.left uni0E4A.low |=:> uni0E4A.low_left ;
+%LIGKERN uni0E3A.left uni0E4A.low |=:> uni0E4A.low_left ;
+
+%LIGKERN uni0E38.left uni0E4B.low |=:> uni0E4B.low_left ;
+%LIGKERN uni0E39.left uni0E4B.low |=:> uni0E4B.low_left ;
+%LIGKERN uni0E3A.left uni0E4B.low |=:> uni0E4B.low_left ;
+
+%LIGKERN uni0E38.left uni0E4C.low |=:> uni0E4C.low_left ;
+
+%ligature for making LOW SaraU SaraUu and Phinthu
+%LIGKERN uni0E0E uni0E38 |=:> uni0E38.low ;
+%LIGKERN uni0E0E uni0E39 |=:> uni0E39.low ;
+%LIGKERN uni0E0E uni0E3A |=:> uni0E3A.low ;
+%LIGKERN uni0E0F uni0E38 |=:> uni0E38.low ;
+%LIGKERN uni0E0F uni0E39 |=:> uni0E39.low ;
+%LIGKERN uni0E0F uni0E3A |=:> uni0E3A.low ;
+
+%ligature for making YoYingDescless and ThoThanDescless
+%LIGKERN uni0E0D uni0E38 =:|> uni0E0D.descless ;
+%LIGKERN uni0E0D uni0E39 =:|> uni0E0D.descless ;
+%LIGKERN uni0E0D uni0E3A =:|> uni0E0D.descless ;
+%LIGKERN uni0E10 uni0E38 =:|> uni0E10.descless ;
+%LIGKERN uni0E10 uni0E39 =:|> uni0E10.descless ;
+%LIGKERN uni0E10 uni0E3A =:|> uni0E10.descless ;
+
+%ligature for making Lakkhangyao
+%LIGKERN uni0E24 uni0E32 |=:> uni0E45 ;
+%LIGKERN uni0E26 uni0E32 |=:> uni0E45 ;
+
+%default ligature and kern set normally built-in in afm2tfm
+%LIGKERN question quoteleft =: questiondown ; exclam quoteleft =: exclamdown ;
+%LIGKERN hyphen hyphen =: endash ; endash hyphen =: emdash ;
+%LIGKERN quoteleft quoteleft =: quotedblleft ;
+%LIGKERN quoteright quoteright =: quotedblright ;
+%LIGKERN space {} * ; * {} space ; zero {} * ; * {} zero ;
+%LIGKERN one {} * ; * {} one ; two {} * ; * {} two ;
+%LIGLERN three {} * ; * {} three ; four {} * ; * {} four ;
+%LIGLERN five {} * ; * {} five ; six {} * ; * {} six ;
+%LIGKERN seven {} * ; * {} seven ; eight {} * ; * {} eight ;
+%LIGKERN nine {} * ; * {} nine ;
+%LIGKERN comma comma =: quotedblbase ; less less =: guillemotleft ;
+%LIGKERN greater greater =: guillemotright ;
+%LIGKERN f f =: ff ; f i =: fi ; f l =: fl ;
+%LIGKERN ff i =: ffi ; ff l =: ffl ;
+
+/LTHEncoding [
+% 0x00
+/.notdef /uni0E38.left /uni0E39.left /uni0E3A.left 
+/.notdef /.notdef /.notdef /.notdef 
+/.notdef /.notdef /.notdef /.notdef 
+/.notdef /quotesinglbase /guilsinglleft /guilsinglright
+% 0x10
+/exclamdown /questiondown /quotedblbase /guillemotleft 
+/guillemotright /.notdef /.notdef /.notdef
+/perthousand /dotlessi /dotlessj /ff
+/fi /fl /ffi /ffl
+% 0x20
+/space /exclam /quotedbl /numbersign
+/dollar /percent /ampersand /quoteright
+/parenleft /parenright /asterisk /plus
+/comma /hyphen /period /slash
+% 0x30
+/zero /one /two /three
+/four /five /six /seven
+/eight /nine /colon /semicolon
+/less /equal /greater /question
+% 0x40
+/at /A /B /C
+/D /E /F /G
+/H /I /J /K
+/L /M /N /O
+% 0x50
+/P /Q /R /S
+/T /U /V /W
+/X /Y /Z /bracketleft
+/backslash /bracketright /asciicircum /underscore
+% 0x60
+/quoteleft /a /b /c
+/d /e /f /g
+/h /i /j /k
+/l /m /n /o
+% 0x70
+/p /q /r /s
+/t /u /v /w
+/x /y /z /braceleft
+/bar /braceright /asciitilde /.notdef
+% 0x80
+/uni0E10.descless /uni0E34.left /uni0E35.left /uni0E36.left
+/uni0E37.left /ellipsis /uni0E48.low_left /uni0E49.low_left
+/uni0E4A.low_left /uni0E4B.low_left /uni0E4C.low_left /uni0E48
+/uni0E49 /uni0E4A /uni0E4B /uni0E4C
+% 0x90
+/uni0E0D.descless /quoteleft /quoteright /quotedblleft
+/quotedblright /bullet /endash /emdash
+/uni0E31.left /uni0E4D.left /uni0E47.left /uni0E48.left
+/uni0E49.left /uni0E4A.left /uni0E4B.left /uni0E4C.left
+% 0xA0
+/nonbreakingspace /uni0E01 /uni0E02 /uni0E03
+/uni0E04 /uni0E05 /uni0E06 /uni0E07
+/uni0E08 /uni0E09 /uni0E0A /uni0E0B
+/uni0E0C /uni0E0D /uni0E0E /uni0E0F
+% 0xB0
+/uni0E10 /uni0E11 /uni0E12 /uni0E13
+/uni0E14 /uni0E15 /uni0E16 /uni0E17
+/uni0E18 /uni0E19 /uni0E1A /uni0E1B
+/uni0E1C /uni0E1D /uni0E1E /uni0E1F
+% 0xC0
+/uni0E20 /uni0E21 /uni0E22 /uni0E23
+/uni0E24 /uni0E25 /uni0E26 /uni0E27
+/uni0E28 /uni0E29 /uni0E2A /uni0E2B
+/uni0E2C /uni0E2D /uni0E2E /uni0E2F
+% 0xD0
+/uni0E30 /uni0E31 /uni0E32 /uni0E33
+/uni0E34 /uni0E35 /uni0E36 /uni0E37
+/uni0E38 /uni0E39 /uni0E3A /.notdef
+/zerowidthspace /.notdef /.notdef /uni0E3F
+% 0xE0
+/uni0E40 /uni0E41 /uni0E42 /uni0E43
+/uni0E44 /uni0E45 /uni0E46 /uni0E47
+/uni0E48.low /uni0E49.low /uni0E4A.low /uni0E4B.low
+/uni0E4C.low /uni0E4D /uni0E4E /uni0E4F
+% 0xF0
+/uni0E50 /uni0E51 /uni0E52 /uni0E53
+/uni0E54 /uni0E55 /uni0E56 /uni0E57
+/uni0E58 /uni0E59 /uni0E5A /uni0E5B
+/uni0E38.low /uni0E39.low /uni0E3A.low /.notdef
+] def
